=== debian/control ===
Source: tomcat8
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
           Miguel Landaeta <nomadium@debian.org>,
           tony mancill <tmancill@debian.org>,
           Jakub Adam <jakub.adam@ktknet.cz>,
           Emmanuel Bourg <ebourg@apache.org>
Build-Depends: ant-optional,
               debhelper (>= 9),
               openjdk-7-jdk,
               po-debconf
Build-Depends-Indep: javahelper,
                     junit4,
                     libcglib-java,
                     libeasymock-java,
                     libecj-java,
                     libhamcrest-java (>= 1.2),
                     libjakarta-taglibs-standard-java,
                     libjstl1.1-java,
                     libobjenesis-java,
                     lsb-release,
                     maven-repo-helper
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-java/tomcat8.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat8.git
Homepage: http://tomcat.apache.org

Package: tomcat8-common
Architecture: all
Depends: openjdk-7-jre-headless | java7-runtime-headless | java7-runtime,
         libtomcat8-java (>= ${source:Version}),
         ${misc:Depends}
Description: Apache Tomcat 8 - Servlet and JSP engine -- common files
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains common files needed by the tomcat8 and tomcat8-user
 packages (Tomcat 8 scripts and libraries).

Package: tomcat8
Architecture: all
Depends: adduser, tomcat8-common (>= ${source:Version}), ucf, ${misc:Depends}
Recommends: authbind
Suggests: libtcnative-1 (>= 1.1.30),
          tomcat8-admin (>= ${source:Version}),
          tomcat8-docs (>= ${source:Version}),
          tomcat8-examples (>= ${source:Version}),
          tomcat8-user (>= ${source:Version})
Description: Apache Tomcat 8 - Servlet and JSP engine
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains only the startup scripts for the system-wide daemon.
 No documentation or web applications are included here, please install
 the tomcat8-docs and tomcat8-examples packages if you want them.
 Install the authbind package if you need to use Tomcat on ports 1-1023.
 Install tomcat8-user instead of this package if you don't want Tomcat to
 start as a service.

Package: tomcat8-user
Architecture: all
Depends: netcat, tomcat8-common (>= ${source:Version}), ${misc:Depends}
Suggests: tomcat8 (>= ${source:Version}),
          tomcat8-admin (>= ${source:Version}),
          tomcat8-docs (>= ${source:Version}),
          tomcat8-examples (>= ${source:Version})
Description: Apache Tomcat 8 - Servlet and JSP engine -- tools to create user instances
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains files needed to create a user Tomcat instance.
 This user Tomcat instance can be started and stopped using the scripts
 provided in the Tomcat instance directory.

Package: libtomcat8-java
Architecture: all
Depends: libcommons-dbcp-java,
         libcommons-pool-java,
         libecj-java,
         ${misc:Depends}
Suggests: tomcat8 (>= ${source:Version})
Description: Apache Tomcat 8 - Servlet and JSP engine -- core libraries
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the Tomcat core classes which can be used by other
 Java applications to embed Tomcat.

Package: libservlet3.1-java
Architecture: all
Depends: ${misc:Depends}
Description: Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API classes
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the Java Servlet and JSP library.

Package: libservlet3.1-java-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: libservlet3.1-java (>= ${source:Version})
Description: Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API documentation
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the documentation for the Java Servlet and JSP library.

Package: tomcat8-admin
Architecture: all
Depends: tomcat8-common (>= ${source:Version}), ${misc:Depends}
Description: Apache Tomcat 8 - Servlet and JSP engine -- admin web applications
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the administrative web interfaces.

Package: tomcat8-examples
Architecture: all
Depends: libjakarta-taglibs-standard-java,
         libjstl1.1-java,
         tomcat8-common (>= ${source:Version}),
         ${misc:Depends}
Description: Apache Tomcat 8 - Servlet and JSP engine -- example web applications
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the default Tomcat example webapps.

Package: tomcat8-docs
Section: doc
Architecture: all
Depends: tomcat8-common (>= ${source:Version}), ${misc:Depends}
Description: Apache Tomcat 8 - Servlet and JSP engine -- documentation
 Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
 specifications from Oracle, and provides a "pure Java" HTTP web
 server environment for Java code to run.
 .
 This package contains the online documentation web application.
