=== debian/control ===
--- 
+++ 
@@ -15,14 +15,14 @@
                      junit4,
                      libcglib-java,
                      libeasymock-java,
-                     libecj-java,
+                     libecj-java (>= 3.10.0),
                      libhamcrest-java (>= 1.2),
                      libjakarta-taglibs-standard-java,
                      libjstl1.1-java,
                      libobjenesis-java,
                      lsb-release,
                      maven-repo-helper
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Vcs-Git: git://anonscm.debian.org/pkg-java/tomcat8.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat8.git
 Homepage: http://tomcat.apache.org
@@ -79,10 +79,8 @@
 
 Package: libtomcat8-java
 Architecture: all
-Depends: libcommons-dbcp-java,
-         libcommons-pool-java,
-         libecj-java,
-         ${misc:Depends}
+Depends: libecj-java (>= 3.10.0), ${misc:Depends}
+Recommends: libcommons-dbcp-java, libcommons-pool-java
 Suggests: tomcat8 (>= ${source:Version})
 Description: Apache Tomcat 8 - Servlet and JSP engine -- core libraries
  Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
