## tomcat8 8.0.21

=== debian/changelog ===
tomcat8 (8.0.21-2) unstable; urgency=medium

  * Upload to unstable.

 -- Miguel Landaeta <nomadium@debian.org>  Fri, 01 May 2015 12:41:13 -0300

tomcat8 (8.0.21-1) experimental; urgency=medium

  * New upstream release
    - Refreshed the patches
  * debian/orig-tar.sh: Exclude the taglibs-standard-*.jar files
    from the upstream tarball
  * Support the JVMs installed by the older versions of java-package (<< 0.52)
    and the oracle-java<n>-installer packages from webupd8 (Closes: #769166)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 30 Mar 2015 19:40:22 +0200

tomcat8 (8.0.18-1) experimental; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 27 Jan 2015 22:54:00 +0100

tomcat8 (8.0.17-1) experimental; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Jan 2015 09:58:16 +0100

tomcat8 (8.0.15-1) experimental; urgency=medium

  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 08 Dec 2014 23:59:10 +0100
