## tomcat8 8.0.22

=== debian/changelog ===
tomcat8 (8.0.22-2) unstable; urgency=medium

  * Replaced the date in ServerInfo.properties with the latest date
    in debian/changelog to make the build reproducible
  * debian/rules:
    - Modified to use the dh sequencer
    - Simplified the ant invocation and moved some properties
      to debian/ant.properties
    - Do not set the version.* properties already defined
      in build.properties.default
    - Renamed T_VER to VERSION
    - Removed the RWFILES and RWLOC variables
    - Merged the ANT_ARGS and ANT_INVOKE variables
    - No longer remove the long gone .svn directories under
      /usr/share/tomcat8/webapps/default_root
    - Let dh_fixperms set the permissions instead of calling chmod +x
    - Use debian/tomcat8-user.manpages instead of calling dh_installman
    - Updated the copyright year in the Javadoc
    - Simplified the call to mh_install

 -- Emmanuel Bourg <ebourg@apache.org>  Thu, 07 May 2015 14:13:30 +0200

tomcat8 (8.0.22-1) unstable; urgency=medium

  * New upstream release
    - Refreshed the patches
    - No longer install tomcat-spdy.jar (removed upstream)
  * Removed the timestamp from the Javadoc of the Servlet API
    to make the build reproducible

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 06 May 2015 09:30:38 +0200
