=== debian/rules ===
#!/usr/bin/make -f

JAVA_HOME := /usr/lib/jvm/default-java

BLDLIB    := output/build/lib
VERSION   := $(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*$$//' | sed 's/~/-/')
DATE      := $(shell dpkg-parsechangelog --show-field Date)
ANT       := ant -propertyfile debian/ant.properties \
             -Dtoday='$(shell date --date='$(DATE)' --utc +'%b %-d %Y')' \
             -Dtstamp=$(shell date --date='$(DATE)' --utc +%H:%M:%S) \
             -Ddistribution.name=$(shell lsb_release -si)

%:
	dh $@

override_dh_auto_build:
	$(ANT) deploy

	# Build the Javadoc for the Servlet, JSP, EL and WebSocket APIs
	$(JAVA_HOME)/bin/javadoc -subpackages "javax.servlet:javax.el:javax.websocket" -d "output/api" \
		-sourcepath "java" -author -version -breakiterator -notimestamp \
		-windowtitle "Tomcat API Documentation" -doctitle "Tomcat API" \
		-bottom "Copyright &#169; 2000-2015 The Apache Software Foundation. All Rights Reserved."

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	mkdir -p webapps/examples/WEB-INF/lib
	cp /usr/share/java/jstl1.1.jar webapps/examples/WEB-INF/lib/jstl.jar
	cp /usr/share/java/standard.jar webapps/examples/WEB-INF/lib/standard.jar
	$(ANT) test
endif

override_dh_install-indep:
	dh_install -i --exclude=.bat --exclude=Thumbs.db
	
	# Prepare and install the Maven artifacts
	mkdir -p debian/poms
	cp res/maven/*.pom debian/poms
	perl -p -i -e 's/\@MAVEN.DEPLOY.VERSION\@/$(VERSION)/' debian/poms/*.pom
	mh_install
	
	# Install catalina-storeconfig.jar (no pom available)
	mv $(BLDLIB)/catalina-storeconfig.jar $(BLDLIB)/tomcat8-catalina-storeconfig-$(VERSION).jar
	dh_install -plibtomcat8-java $(BLDLIB)/tomcat8-catalina-storeconfig-$(VERSION).jar      usr/share/java
	dh_link -plibtomcat8-java    usr/share/java/tomcat8-catalina-storeconfig-$(VERSION).jar usr/share/java/tomcat8-catalina-storeconfig.jar
	
	# update the checksum for the root webapp
	unset rwmd5sum \
		&& rwmd5sum=`cat debian/default_root/index.html debian/default_root/META-INF/context.xml | md5sum - 2>/dev/null | cut -d " " -f1` \
		&& sed "s/\@ROOT_WEBAPP_MD5SUM\@/$$rwmd5sum/" debian/tomcat8.postrm.in > debian/tomcat8.postrm
	
	jh_manifest

override_dh_auto_clean:
	dh_auto_clean
	-$(ANT) clean
	rm -rf "output/"
	rm -rf webapps/examples/WEB-INF/lib/*.jar
	rm -f modules/jdbc-pool/output/resources/MANIFEST.MF
	rm -rf debian/tomcat8.postrm debian/poms
	mh_clean

get-orig-source:
	-uscan --force-download --rename
