## tomcat8 8.0.23

=== debian/changelog ===
tomcat8 (8.0.23-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: Set the 'year' and 'today-iso-8601' build variables
    to improve the reproducibility

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 26 May 2015 16:04:01 +0200
