=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,9 @@
 VERSION   := $(shell dpkg-parsechangelog --show-field Version | sed 's/-[^-]*$$//' | sed 's/~/-/')
 DATE      := $(shell dpkg-parsechangelog --show-field Date)
 ANT       := ant -propertyfile debian/ant.properties \
+             -Dyear=$(shell date --date='$(DATE)' --utc +'%Y') \
              -Dtoday='$(shell date --date='$(DATE)' --utc +'%b %-d %Y')' \
+             -Dtoday-iso-8601=$(shell date --date='$(DATE)' --utc +'%F') \
              -Dtstamp=$(shell date --date='$(DATE)' --utc +%H:%M:%S) \
              -Ddistribution.name=$(shell lsb_release -si)
