## tomcat8 8.0.24

=== debian/changelog ===
tomcat8 (8.0.24-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * debian/rules: Use an english locale when generating the documentation
    to improve the reproducibility

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 08 Jul 2015 17:42:14 +0200
