=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 DATE      := $(shell dpkg-parsechangelog --show-field Date)
 ANT       := ant -propertyfile debian/ant.properties \
              -Dyear=$(shell date --date='$(DATE)' --utc +'%Y') \
-             -Dtoday='$(shell date --date='$(DATE)' --utc +'%b %-d %Y')' \
+             -Dtoday='$(shell LANG=en date --date='$(DATE)' --utc +'%b %-d %Y')' \
              -Dtoday-iso-8601=$(shell date --date='$(DATE)' --utc +'%F') \
              -Dtstamp=$(shell date --date='$(DATE)' --utc +%H:%M:%S) \
              -Ddistribution.name=$(shell lsb_release -si)
@@ -19,7 +19,7 @@
 	$(ANT) deploy
 
 	# Build the Javadoc for the Servlet, JSP, EL and WebSocket APIs
-	$(JAVA_HOME)/bin/javadoc -subpackages "javax.servlet:javax.el:javax.websocket" -d "output/api" \
+	$(JAVA_HOME)/bin/javadoc -locale en_US -subpackages "javax.servlet:javax.el:javax.websocket" -d "output/api" \
 		-sourcepath "java" -author -version -breakiterator -notimestamp \
 		-windowtitle "Tomcat API Documentation" -doctitle "Tomcat API" \
 		-bottom "Copyright &#169; 2000-2015 The Apache Software Foundation. All Rights Reserved."
