## tomcat8 8.0.26

=== debian/changelog ===
tomcat8 (8.0.26-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Changed the authbind configuration to allow IPv6 connections (LP: #1443041)
  * Fixed an upgrade error when /etc/tomcat8/tomcat-users.xml is removed
    (LP: #1010791)
  * Fixed a minor HTML error in the default index.html file (LP: #1236132)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 24 Aug 2015 00:30:40 +0200
