## tomcat8 8.0.28

=== debian/changelog ===
tomcat8 (8.0.28-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Fixed a localized date in the documentation to improve the reproducibility

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 19 Oct 2015 11:12:07 +0200
