=== debian/control ===
--- 
+++ 
@@ -9,14 +9,14 @@
            Emmanuel Bourg <ebourg@apache.org>
 Build-Depends: ant-optional,
                debhelper (>= 9),
-               openjdk-7-jdk,
+               default-jdk,
                po-debconf
 Build-Depends-Indep: javahelper,
-                     junit4,
-                     libcglib-java,
-                     libeasymock-java,
+                     junit4 (>= 4.11),
+                     libcglib3-java,
+                     libeasymock-java (>= 3.0),
                      libecj-java (>= 3.10.0),
-                     libhamcrest-java (>= 1.2),
+                     libhamcrest-java (>= 1.3),
                      libjakarta-taglibs-standard-java,
                      libjstl1.1-java,
                      libobjenesis-java,
@@ -29,7 +29,7 @@
 
 Package: tomcat8-common
 Architecture: all
-Depends: openjdk-7-jre-headless | java7-runtime-headless | java7-runtime,
+Depends: default-jre-headless | java7-runtime-headless | java7-runtime,
          libtomcat8-java (>= ${source:Version}),
          ${misc:Depends}
 Description: Apache Tomcat 8 - Servlet and JSP engine -- common files
