## tomcat8 8.0.30

=== debian/changelog ===
tomcat8 (8.0.30-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 30 Dec 2015 18:07:50 +0100

tomcat8 (8.0.30-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
  * Use LC_ALL instead of LANG to format the date and make the documentation
    reproducible on the builders

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 18 Dec 2015 11:44:06 +0100
