## tomcat8 8.0.32

=== debian/changelog ===
tomcat8 (8.0.32-1ubuntu1) xenial; urgency=medium

  * Prepare to promote tomcat8 to main (LP: #1539903).
    - debian/control, 0021-ubuntu-mainize-build-xml.patch: Remove
      build-dependencies on libobjenesis-java and libeasymock-java, and skip
      tests that rely on the functionality they provide.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Fri, 05 Feb 2016 09:20:39 +0100

tomcat8 (8.0.32-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Fixed a warning in catalina.out caused by an incorrect path
    for the root context (Closes: #808378)
  * Standards-Version updated to 3.9.7 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 21 Dec 2015 11:20:10 +0100
