=== debian/watch ===
version=3
opts="uversionmangle=s/-(alpha|beta|RC)/~$1/" \
 http://archive.apache.org/dist/tomcat/tomcat-8/v(.*)/src/apache-tomcat-(.*)-src.zip debian debian/orig-tar.sh
