## tomcat8 8.0.36

=== debian/changelog ===
tomcat8 (8.0.36-3~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 16 Sep 2016 14:33:51 +0200

tomcat8 (8.0.36-3) unstable; urgency=high

  * Team upload.
  * Fixed CVE-2016-1240: A flaw in the init.d startup script allows local
    attackers who have gained access to the server in the context of the
    tomcat user through a vulnerability in a web application to replace
    the catalina.out file with a symlink to an arbitrary file on the system,
    potentially leading to a root privilege escalation.
    Thanks to Dawid Golunski for the report.
  * Removed the default 128M heap limit (LP: #568823)
  * Depend on taglibs-standard instead of jakarta-taglibs-standard

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 14 Sep 2016 10:20:28 +0200

tomcat8 (8.0.36-2) unstable; urgency=medium

  * Team upload.
  * Do not unconditionally overwrite files in /etc/tomcat8 anymore.
    (Closes: #825786)
  * Change file permissions to 640 for Debian files in /etc/tomcat8.

 -- Markus Koschany <apo@debian.org>  Tue, 02 Aug 2016 10:50:42 +0200

tomcat8 (8.0.36-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches
    - Depend on libecj-java (>= 3.11.0)
  * Standards-Version updated to 3.9.8 (no changes)
  * Use a secure Vcs-Git URL

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 14 Jun 2016 14:34:46 +0200
