=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: tomcat8
 Section: java
 Priority: optional
-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>,
            Miguel Landaeta <nomadium@debian.org>,
            tony mancill <tmancill@debian.org>,
@@ -15,16 +16,16 @@
                      junit4 (>= 4.11),
                      libcglib3-java,
                      libeasymock-java (>= 3.0),
-                     libecj-java (>= 3.10.0),
+                     libecj-java (>= 3.11.0),
                      libhamcrest-java (>= 1.3),
-                     libjakarta-taglibs-standard-java,
-                     libjstl1.1-java,
+                     libtaglibs-standard-spec-java,
+                     libtaglibs-standard-impl-java,
                      libobjenesis-java,
                      lsb-release,
                      maven-repo-helper
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/pkg-java/tomcat8.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-java/tomcat8.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-java/tomcat8.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-java/tomcat8.git
 Homepage: http://tomcat.apache.org
 
 Package: tomcat8-common
@@ -79,7 +80,7 @@
 
 Package: libtomcat8-java
 Architecture: all
-Depends: libecj-java (>= 3.10.0), ${misc:Depends}
+Depends: libecj-java (>= 3.11.0), ${misc:Depends}
 Recommends: libcommons-dbcp-java, libcommons-pool-java
 Suggests: tomcat8 (>= ${source:Version})
 Description: Apache Tomcat 8 - Servlet and JSP engine -- core libraries
@@ -124,8 +125,8 @@
 
 Package: tomcat8-examples
 Architecture: all
-Depends: libjakarta-taglibs-standard-java,
-         libjstl1.1-java,
+Depends: libtaglibs-standard-spec-java,
+         libtaglibs-standard-impl-java,
          tomcat8-common (>= ${source:Version}),
          ${misc:Depends}
 Description: Apache Tomcat 8 - Servlet and JSP engine -- example web applications
