=== debian/rules ===
--- 
+++ 
@@ -27,8 +27,8 @@
 override_dh_auto_test:
 ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
 	mkdir -p webapps/examples/WEB-INF/lib
-	cp /usr/share/java/jstl1.1.jar webapps/examples/WEB-INF/lib/jstl.jar
-	cp /usr/share/java/standard.jar webapps/examples/WEB-INF/lib/standard.jar
+	cp /usr/share/java/taglibs-standard-spec.jar webapps/examples/WEB-INF/lib/
+	cp /usr/share/java/taglibs-standard-impl.jar webapps/examples/WEB-INF/lib/
 	$(ANT) test
 endif
 
@@ -53,6 +53,13 @@
 	
 	jh_manifest
 
+override_dh_fixperms:
+	dh_fixperms
+	# Make the/etc/tomcat8/Catalina/localhost directory writable by the tomcat user
+	for PACKAGE in tomcat8 tomcat8-admin tomcat8-docs tomcat8-examples; do \
+	  chmod 775 --verbose debian/$$PACKAGE/etc/tomcat8/Catalina/localhost; \
+	done
+
 override_dh_auto_clean:
 	dh_auto_clean
 	-$(ANT) clean
