=== debian/control ===
--- 
+++ 
@@ -9,12 +9,12 @@
            Jakub Adam <jakub.adam@ktknet.cz>,
            Emmanuel Bourg <ebourg@apache.org>
 Build-Depends: ant-optional,
-               debhelper (>= 9),
+               debhelper (>= 10),
                default-jdk,
                po-debconf
 Build-Depends-Indep: javahelper,
                      junit4 (>= 4.11),
-                     libcglib3-java,
+                     libcglib-nodep-java,
                      libeasymock-java (>= 3.0),
                      libecj-java (>= 3.11.0),
                      libhamcrest-java (>= 1.3),
@@ -91,6 +91,17 @@
  This package contains the Tomcat core classes which can be used by other
  Java applications to embed Tomcat.
 
+Package: libtomcat8-embed-java
+Architecture: all
+Depends: libecj-java (>= 3.11.0), ${misc:Depends}
+Description: Apache Tomcat 8 - Servlet and JSP engine -- embed libraries
+ Apache Tomcat implements the Java Servlet and the JavaServer Pages (JSP)
+ specifications from Oracle, and provides a "pure Java" HTTP web
+ server environment for Java code to run.
+ .
+ This package contains the libraries required to embed Tomcat into Java
+ applications.
+
 Package: libservlet3.1-java
 Architecture: all
 Depends: ${misc:Depends}
