## tomcat8 8.0.39

=== debian/changelog ===
tomcat8 (8.0.39-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 22 Nov 2016 11:26:17 +0100

tomcat8 (8.0.39-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed the patches

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 15 Nov 2016 15:37:48 +0100
