=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: tomcat8
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
 Uploaders: James Page <james.page@ubuntu.com>,
            Miguel Landaeta <nomadium@debian.org>,
            tony mancill <tmancill@debian.org>,
@@ -14,7 +13,7 @@
                po-debconf
 Build-Depends-Indep: javahelper,
                      junit4 (>= 4.11),
-                     libcglib-nodep-java,
+                     libcglib3-java,
                      libeasymock-java (>= 3.0),
                      libecj-java (>= 3.11.0),
                      libhamcrest-java (>= 1.3),
