=== debian/rules ===
--- 
+++ 
@@ -53,13 +53,6 @@
 	
 	jh_manifest
 
-override_dh_fixperms:
-	dh_fixperms
-	# Make the/etc/tomcat8/Catalina/localhost directory writable by the tomcat user
-	for PACKAGE in tomcat8 tomcat8-admin tomcat8-docs tomcat8-examples; do \
-	  chmod 775 --verbose debian/$$PACKAGE/etc/tomcat8/Catalina/localhost; \
-	done
-
 override_dh_auto_clean:
 	dh_auto_clean
 	-$(ANT) clean
